export default function LookCommand(args, context) {
    if (args.length == 1) {
        context.examineRoom();
    } else {
        const room = context.getRoom(context.player.currentRoom);
        const items = room.getItems();
        let item = null;
        for (let i of items) {
            if (i.name.includes(args[1])) {
                item = i;
                break;
            }
        }
        if (!item) {
            context.output.say(`I could not find a ${args[1]}.`);
        } else {
            context.output.say(item.name);
            context.output.say(item.description);
        }
    }
}